/* some useful functions for zeRace game */

#include <string.h>
#include <SDL.h>
#include <SDL_image.h>

/* endianness setup */
#if SDL_BYTEORDER == SDL_BIG_ENDIAN
  #define RSHIFT 24
  #define GSHIFT 16
  #define BSHIFT 8
  #define ASHIFT 0
#else
  #define RSHIFT 0
  #define GSHIFT 8
  #define BSHIFT 16
  #define ASHIFT 24
#endif

void print(SDL_Surface *dst,int x,int y,unsigned char *text);
void readstring(SDL_Surface *dst,int x,int y,unsigned char *text,int limit);
Uint32 getpixel(SDL_Surface *surface, int x, int y);
void putpixel(SDL_Surface *surface, int x, int y, Uint32 pixel);
void setpixel(SDL_Surface *screen, int x, int y, Uint8 r, Uint8 g, Uint8 b);
